> For the complete documentation index, see [llms.txt](https://chekin.gitbook.io/chekin-public-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://chekin.gitbook.io/chekin-public-api/api-reference/premium-feature-usage/list-premium-feature-usage.md).

# List Premium Feature Usage

<mark style="color:green;">`GET`</mark> `/partner/housings`

Returns all of the authenticated account's housings, each with the current status (`ACTIVE` / `INACTIVE`) of every premium feature: Identity Verification, Remote Access and Guidebooks. Results are scoped to the account's own housings only.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `JWT <token>`      |

**Query params**

| Name         | Value                               |
| ------------ | ----------------------------------- |
| name         | Filter by housing name              |
| external\_id | Filter by housing external id       |
| page         | Page number (results are paginated) |

**Response example**

{% tabs %}
{% tab title="200" %}

```json
{
    "count": 2,
    "next": null,
    "previous": null,
    "results": [
        {
            "housing_id": "3ec03bcc5c034d8aa1403ebb9182d7c7",
            "external_id": "EMPTY_5420b1642e3440d7ac2f95d6de733976",
            "name": "Beach Apartment",
            "account_id": "a1b2c3d4e5f6471790aa1403ebb9182d",
            "identity_verification_status": "ACTIVE",
            "remote_access_status": "INACTIVE",
            "guidebook_status": "INACTIVE"
        },
        {
            "housing_id": "7d1f0b2c9a1e4c7bb0b2d3e4f5a6b7c8",
            "external_id": "123e4",
            "name": "City Loft",
            "account_id": "a1b2c3d4e5f6471790aa1403ebb9182d",
            "identity_verification_status": "INACTIVE",
            "remote_access_status": "ACTIVE",
            "guidebook_status": "ACTIVE"
        }
    ]
}
```

{% endtab %}
{% endtabs %}
